## vte2.91 0.80.1

=== debian/changelog ===
vte2.91 (0.80.1-1) unstable; urgency=medium

  * New upstream release
  * Cherry-pick a background palette fix from the vte-0-80 branch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Apr 2025 08:35:15 -0400

=== debian/control ===
Source: vte2.91
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               gettext,
               gi-docgen,
               libfast-float-dev (>= 6),
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.72.0),
               libgnutls28-dev,
               libgtk-3-dev,
               libgtk-4-dev (>= 4.14),
               liblz4-dev,
               libpango1.0-dev,
               libpcre2-dev,
               libsystemd-dev [linux-any],
               libxml2-utils,
               meson,
               valac
Rules-Requires-Root: no
Build-Depends-Indep: libatk1.0-doc <!nodoc>,
                     libglib2.0-doc <!nodoc>,
                     libgtk-3-doc <!nodoc>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git
Homepage: https://wiki.gnome.org/Apps/Terminal/VTE

Package: libvte-2.91-0
Architecture: any
Depends: libvte-2.91-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Terminal emulator widget for GTK 3 - runtime files
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains the runtime library, needed by programs using the
 VTE widget with GTK 3.

Package: libvte-2.91-0-udeb
Package-Type: udeb
Build-Profiles: <!noudeb>
Section: debian-installer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Terminal emulator widget for GTK 3 - minimal runtime
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains the minimal runtime library for GTK 3 needed
 by the Debian installer.

Package: libvte-2.91-gtk4-0
Architecture: any
Depends: libvte-2.91-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Terminal emulator widget for GTK 4 - runtime files
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains the runtime library, needed by programs using the
 VTE widget with GTK 4.

Package: gir1.2-vte-2.91
Architecture: any
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GObject introspection data for the VTE library (GTK 3 version)
 This package contains introspection data for VTE, a terminal emulator
 widget for GTK.
 .
 It can be used by interpreters understanding the GIRepository format to
 write programs using the VTE widget for GTK 3.

Package: gir1.2-vte-3.91
Architecture: any
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GObject introspection data for the VTE library (GTK 4 version)
 This package contains introspection data for VTE, a terminal emulator
 widget for GTK.
 .
 It can be used by interpreters understanding the GIRepository format to
 write programs using the VTE widget for GTK 4.

Package: libvte-2.91-dev
Architecture: any
Section: libdevel
Depends: gir1.2-vte-2.91 (= ${binary:Version}),
         libglib2.0-dev (>= 2.72.0),
         libgnutls28-dev,
         libgtk-3-dev,
         libpango1.0-dev,
         libpcre2-dev,
         libvte-2.91-0 (= ${binary:Version}),
         libvte-2.91-common,
         zlib1g-dev,
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Recommends: libvte-2.91-doc
Conflicts: libvte-2.90-dev
Multi-Arch: same
Description: Terminal emulator widget for GTK 3 - development files
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains development files for the VTE library and its
 Python bindings. It is needed to develop and build programs using the
 VTE widget with GTK 3.

Package: libvte-2.91-gtk4-dev
Architecture: any
Section: libdevel
Depends: gir1.2-vte-3.91 (= ${binary:Version}),
         libglib2.0-dev (>= 2.72.0),
         libgnutls28-dev,
         libgtk-4-dev (>= 4.14),
         libpango1.0-dev,
         libpcre2-dev,
         libvte-2.91-common,
         libvte-2.91-gtk4-0 (= ${binary:Version}),
         zlib1g-dev,
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Recommends: libvte-2.91-doc
Multi-Arch: same
Description: Terminal emulator widget for GTK 4 - development files
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains development files for the VTE library and its
 Python bindings. It is needed to develop and build programs using the
 VTE widget with GTK 4.

Package: libvte-2.91-common
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: Terminal emulator widget for GTK 3 - common files
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains internationalization files for the VTE library
 and common files for the GTK 3 version.

Package: libvte-2.91-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Description: Terminal emulator widget for GTK 3 - documentation
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains documentation files for the VTE library for GTK 3.

Package: libvte-2.91-gtk4-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Description: Terminal emulator widget for GTK 4 - documentation
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains documentation files for the VTE library for GTK 4.

## vte2.91 0.80.3

=== debian/changelog ===
vte2.91 (0.80.3-3) unstable; urgency=medium

  * Team upload
  * d/*.symbols: Ignore all C++ mangled symbols for ABI purposes.
    The vte library's public API/ABI is all C, even though it is
    implemented in C++ internally, so anything with C++ name-mangling
    is not part of the ABI.
    - In particular this fixes FTBFS with g++-15 (Closes: #1098075)
  * d/control: Build-depend on required GIR XML (gir1.2-*-dev packages)
  * d/control: Replace libgirepository1.0-dev B-D with
    gobject-introspection
  * d/control: Remove unused B-D-I on -doc packages.
    gtk-doc-tools wanted these, but gi-docgen doesn't use them.
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)
  * d/control, d/rules: Only run gi-docgen if we are actually building
    the documentation

 -- Simon McVittie <smcv@debian.org>  Fri, 05 Sep 2025 10:51:48 +0100

vte2.91 (0.80.3-2) unstable; urgency=medium

  * Team upload
  * Expand description of upstream changes in previous changelog entry
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Jul 2025 10:57:34 +0100

vte2.91 (0.80.3-1) experimental; urgency=medium

  * New upstream release
    - emulation: Implement XTERM_RQTCAP, used by recent systemd to discover
      the correct value for $TERM automatically
      (vte#2884 upstream)
    - Add Uzbek (Latin) translation
  * Remove "Fix OSC 111" patch applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 28 Jun 2025 15:50:29 -0400

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,16 @@
                dh-sequence-gir,
                dh-sequence-gnome,
                gettext,
-               gi-docgen,
+               gir1.2-cairo-1.0-dev,
+               gir1.2-gdk-3.0-dev,
+               gir1.2-gdk-4.0-dev,
+               gir1.2-graphene-1.0-dev,
+               gir1.2-gsk-4.0-dev,
+               gir1.2-gtk-3.0-dev,
+               gir1.2-gtk-4.0-dev,
+               gir1.2-pango-1.0-dev,
+               gobject-introspection (>= 1.80),
                libfast-float-dev (>= 6),
-               libgirepository1.0-dev,
                libglib2.0-dev (>= 2.72.0),
                libgnutls28-dev,
                libgtk-3-dev,
@@ -21,11 +28,8 @@
                libxml2-utils,
                meson,
                valac
-Rules-Requires-Root: no
-Build-Depends-Indep: libatk1.0-doc <!nodoc>,
-                     libglib2.0-doc <!nodoc>,
-                     libgtk-3-doc <!nodoc>
-Standards-Version: 4.7.0
+Build-Depends-Indep: gi-docgen,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
 Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git
 Homepage: https://wiki.gnome.org/Apps/Terminal/VTE

=== debian/tests/control ===
Test-Command: debian/tests/build vte-2.91
Depends: build-essential, libvte-2.91-dev
Restrictions: allow-stderr superficial

Test-Command: debian/tests/build vte-2.91-gtk4
Depends: build-essential, libvte-2.91-gtk4-dev
Restrictions: allow-stderr superficial

## vte2.91 0.82.0

=== subprojects/simdutf/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)

project(simdutf
  DESCRIPTION "Fast Unicode validation, transcoding and processing"
  LANGUAGES CXX
  VERSION 6.4.0
)

include (TestBigEndian)
TEST_BIG_ENDIAN(IS_BIG_ENDIAN)
if(IS_BIG_ENDIAN)
  message(STATUS "Big-endian system detected.")
endif()

include(GNUInstallDirs)
# The following requires CMake 3.21.
# if(PROJECT_IS_TOP_LEVEL)
#  message(STATUS "Building simdutf as a top-level project.")
#  include(CTest)
#else()
#  message(STATUS "Building simdutf as a subproject.")
#endif(PROJECT_IS_TOP_LEVEL)
include(CTest)
include(cmake/simdutf-flags.cmake)

set(SIMDUTF_LIB_VERSION "19.0.0" CACHE STRING "simdutf library version")
set(SIMDUTF_LIB_SOVERSION "19" CACHE STRING "simdutf library soversion")
option(SIMDUTF_TESTS "Whether the tests are included as part of the CMake Build." ON)
option(SIMDUTF_BENCHMARKS "Whether the benchmarks are included as part of the CMake Build." OFF)
option(SIMDUTF_TOOLS "Whether the tools are included as part of the CMake build. Requires C++17 or better." ON)
option(SIMDUTF_ICONV "Whether to use iconv as part of the CMake build if available." ON)
option(SIMDUTF_FUZZERS "Whether to build the fuzzers." OFF)
option(SIMDUTF_COVERAGE "Enable code coverage collection during tests (only GCC and Clang)." OFF)
option(SIMDUTF_INTERNAL_TESTS "Whether to test also internal procedures. Useful mostly for developers, not users." OFF)

set(SIMDUTF_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})

add_subdirectory(src)
add_subdirectory(singleheader)

if (SIMDUTF_TESTS)
  message(STATUS "The tests are enabled.")
  add_subdirectory(tests)
else(SIMDUTF_TESTS)
  message(STATUS "The tests are disabled.")
endif(SIMDUTF_TESTS)


if (SIMDUTF_TOOLS)
  if(CMAKE_CXX_COMPILER_ID MATCHES GNU AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 8.0)
    message(STATUS "The benchmark tool requires GCC 8.0 or better.")
  else()
    add_subdirectory(tools)
  endif()
endif()


if (SIMDUTF_BENCHMARKS)
  if(NOT SIMDUTF_TESTS)
    message(STATUS "You have enabled the benchmarks, but not the tests. We don't allow running the benchmarks without the tests.")
  elseif((CMAKE_CXX_COMPILER_ID MATCHES GNU) AND (CMAKE_CXX_COMPILER_VERSION VERSION_LESS "8.0"))
    message(STATUS "The benchmark tool requires GCC 8.0 or better.")
  else()
    message(STATUS "The benchmarks can be disabled by setting SIMDUTF_BENCHMARKS, e.g., -D SIMDUTF_BENCHMARKS=OFF.")
    add_subdirectory(benchmarks)
  endif()
else()
  message(STATUS "The benchmarks can be enabled by setting SIMDUTF_BENCHMARKS, e.g., -D SIMDUTF_BENCHMARKS=ON.")
endif()

if (SIMDUTF_COVERAGE)
  if (NOT SIMDUTF_TESTS)
    message(FATAL_ERROR "Cannot enable code coverage without tests (enable SIMDUTF_TESTS option)")
  endif()
  if (NOT ((CMAKE_CXX_COMPILER_ID MATCHES "GNU") OR (CMAKE_CXX_COMPILER_ID MATCHES "Clang")))
    message(FATAL_ERROR "Code coverage is supported only by GCC and Clang")
  endif()
  message(STATUS "Code coverage enabled; use `ctest -T Test -T Coverage` to gather coverage details")
endif()

message(STATUS "Compiling using the C++ standard:" ${CMAKE_CXX_STANDARD})
# ---- Install rules ----
add_library(simdutf::simdutf ALIAS simdutf)

set_target_properties(
    simdutf PROPERTIES
    VERSION "${SIMDUTF_LIB_VERSION}"
    SOVERSION "${SIMDUTF_LIB_SOVERSION}"
    WINDOWS_EXPORT_ALL_SYMBOLS YES
)

include(CMakePackageConfigHelpers)
include(GNUInstallDirs)

install(
    FILES include/simdutf.h
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
    COMPONENT simdutf_Development
)

install(
    DIRECTORY include/simdutf
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
    COMPONENT simdutf_Development
)

install(
    TARGETS simdutf
    EXPORT simdutfTargets
    RUNTIME COMPONENT simdutf_Runtime
    LIBRARY COMPONENT simdutf_Runtime
    NAMELINK_COMPONENT simdutf_Development
    ARCHIVE COMPONENT simdutf_Development
    INCLUDES DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
)

configure_file(cmake/simdutf-config.cmake.in simdutf-config.cmake @ONLY)

write_basic_package_version_file(
    simdutf-config-version.cmake
    COMPATIBILITY SameMinorVersion
)

set(
    SIMDUTF_INSTALL_CMAKEDIR "${CMAKE_INSTALL_LIBDIR}/cmake/simdutf"
    CACHE STRING "CMake package config location relative to the install prefix"
)
mark_as_advanced(SIMDUTF_INSTALL_CMAKEDIR)

install(
    FILES
    "${PROJECT_BINARY_DIR}/simdutf-config.cmake"
    "${PROJECT_BINARY_DIR}/simdutf-config-version.cmake"
    DESTINATION "${SIMDUTF_INSTALL_CMAKEDIR}"
    COMPONENT simdutf_Development
)

install(
    EXPORT simdutfTargets
    NAMESPACE simdutf::
    DESTINATION "${SIMDUTF_INSTALL_CMAKEDIR}"
    COMPONENT example_Development
)


# pkg-config
include(cmake/JoinPaths.cmake)
join_paths(PKGCONFIG_INCLUDEDIR "\${prefix}" "${CMAKE_INSTALL_INCLUDEDIR}")
join_paths(PKGCONFIG_LIBDIR "\${prefix}" "${CMAKE_INSTALL_LIBDIR}")

configure_file("simdutf.pc.in" "simdutf.pc" @ONLY)
install(
    FILES "${CMAKE_CURRENT_BINARY_DIR}/simdutf.pc"
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig"
)
#
# CPack
#
if(is_top_project)
  set(CPACK_PACKAGE_VENDOR "Daniel Lemire")
  set(CPACK_PACKAGE_CONTACT "lemire@gmail.com")
  set(CPACK_RESOURCE_FILE_LICENSE "${PROJECT_SOURCE_DIR}/LICENSE-MIT")
  set(CPACK_RPM_PACKAGE_LICENSE "${PROJECT_SOURCE_DIR}/LICENSE-MIT")
  set(CPACK_RESOURCE_FILE_README "${PROJECT_SOURCE_DIR}/README.md")
  set(CPACK_SOURCE_GENERATOR "TGZ;ZIP")
  include(CPack)
endif()

# ----



if(NOT SIMDUTF_SANITIZE)
  find_program(GREP grep)
  find_program(NM nm)
  if((NOT GREP) OR (NOT NM))
    message("grep and nm are unavailable on this system.")
  else()
    add_test(
      NAME "avoid_abort"
      # Under FreeBSD, the __cxa_guard_abort symbol may appear but it is fine.
      # So we want to look for <space><possibly _>abort as a test.
      COMMAND sh -c "${NM}  $<TARGET_FILE_NAME:simdutf> |  ${GREP} ' _*abort' || exit 0  && exit 1"
      WORKING_DIRECTORY ${PROJECT_BINARY_DIR}
    )
    add_test(
      NAME "avoid_cout"
      COMMAND sh -c "${NM}  $<TARGET_FILE_NAME:simdutf> |  ${GREP} ' _*cout' || exit 0  && exit 1"
      WORKING_DIRECTORY ${PROJECT_BINARY_DIR}
    )
    add_test(
      NAME "avoid_cerr"
      COMMAND sh -c "${NM}  $<TARGET_FILE_NAME:simdutf> |  ${GREP} ' _*cerr' || exit 0  && exit 1"
      WORKING_DIRECTORY ${PROJECT_BINARY_DIR}
    )
    add_test(
      NAME "avoid_printf"
      COMMAND sh -c "${NM}  $<TARGET_FILE_NAME:simdutf> |  ${GREP} ' _*printf' || exit 0  && exit 1"
      WORKING_DIRECTORY ${PROJECT_BINARY_DIR}
    )
    add_test(
      NAME "avoid_stdout"
      COMMAND sh -c "${NM}  $<TARGET_FILE_NAME:simdutf> |  ${GREP} stdout || exit 0 && exit 1"
      WORKING_DIRECTORY ${PROJECT_BINARY_DIR}
    )
    add_test(
      NAME "avoid_stderr"
      COMMAND sh -c "${NM}  $<TARGET_FILE_NAME:simdutf> |  ${GREP} stderr || exit 0 && exit 1"
      WORKING_DIRECTORY ${PROJECT_BINARY_DIR}
    )
  endif()
endif()

if(SIMDUTF_FUZZERS)
    add_subdirectory(fuzz)
endif()

=== subprojects/simdutf/src/CMakeLists.txt ===
add_library(simdutf-include-source INTERFACE)
target_include_directories(simdutf-include-source INTERFACE $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>)
add_library(simdutf-source INTERFACE)
target_sources(simdutf-source INTERFACE $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>/simdutf.cpp)
target_link_libraries(simdutf-source INTERFACE simdutf-include-source)
add_library(simdutf simdutf.cpp)
target_include_directories(simdutf PRIVATE $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}> )
target_include_directories(simdutf PUBLIC "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>")

if(MSVC)
  if("${MSVC_TOOLSET_VERSION}" STREQUAL "140")
    target_compile_options(simdutf PRIVATE /W0 /sdl)
    set(SIMDUTF_LEGACY_VISUAL_STUDIO TRUE)
  else()
    target_compile_options(simdutf PRIVATE /WX /W3 /sdl /w34714) # https://docs.microsoft.com/en-us/cpp/error-messages/compiler-warnings/compiler-warning-level-4-c4714?view=vs-2019
  endif()
else(MSVC)
  if(NOT WIN32)
    target_compile_options(simdutf INTERFACE -fPIC)
  endif()
  target_compile_options(simdutf PRIVATE -Wall -Wextra -Weffc++)
  target_compile_options(simdutf PRIVATE -Wsign-compare -Wshadow -Wwrite-strings -Wpointer-arith -Winit-self -Wconversion -Wno-sign-conversion -Wunused-function)
  target_compile_options(simdutf PRIVATE -Wfatal-errors)
endif(MSVC)

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
    target_compile_options(simdutf PRIVATE -fdiagnostics-color=always)
elseif("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    target_compile_options(simdutf PRIVATE -fcolor-diagnostics)
endif()

# workaround for GNU GCC poor AVX load/store code generation
if ((CMAKE_CXX_COMPILER_ID STREQUAL "GNU") AND (CMAKE_SYSTEM_PROCESSOR MATCHES "^(i.86|x86(_64)?)$"))
  target_compile_options(simdutf PRIVATE -mno-avx256-split-unaligned-load -mno-avx256-split-unaligned-store)
endif()

if ((CMAKE_CXX_COMPILER_ID STREQUAL "GNU") AND (CMAKE_SYSTEM STREQUAL "PowerPC"))
  target_compile_options(simdutf PRIVATE -maltivec -mvsx -mcpu=power8)
endif()

if(SIMDUTF_ALWAYS_INCLUDE_FALLBACK)
  message(STATUS "SIMDUTF_ALWAYS_INCLUDE_FALLBACK is set to ${SIMDUTF_ALWAYS_INCLUDE_FALLBACK}")
  target_compile_definitions(simdutf PRIVATE SIMDUTF_IMPLEMENTATION_FALLBACK=1)
endif()

if(SIMDUTF_SANITIZE)
  target_compile_options(simdutf PUBLIC -fsanitize=address  -fno-omit-frame-pointer -fno-sanitize-recover=all)
  target_compile_definitions(simdutf PUBLIC ASAN_OPTIONS=detect_leaks=1)
  target_link_libraries(simdutf PUBLIC -fsanitize=address  -fno-omit-frame-pointer -fno-sanitize-recover=all)
endif()
if(SIMDUTF_SANITIZE_UNDEFINED)
  target_compile_options(simdutf PUBLIC -fsanitize=undefined -fno-sanitize-recover=all)
  target_link_libraries(simdutf PUBLIC -fsanitize=undefined)
endif()
if(SIMDUTF_SANITIZE_THREAD)
    target_compile_options(simdutf PUBLIC -fsanitize=thread)
    target_link_libraries(simdutf PUBLIC -fsanitize=thread)
endif()
if(SIMDUTF_INTERNAL_TESTS)
    target_compile_definitions(simdutf PUBLIC SIMDUTF_INTERNAL_TESTS)
endif()
if(MSVC AND BUILD_SHARED_LIBS)
  set(SIMDUTF_WINDOWS_DLL TRUE)
endif()

=== subprojects/simdutf/tools/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)

add_executable(sutf sutf.cpp)
add_executable(fastbase64 fastbase64.cpp)

if(SIMDUTF_ICONV)
find_package(Iconv)
if(Iconv_FOUND)
  message(STATUS "Iconv was found!")
  target_compile_definitions(sutf PRIVATE ICONV_AVAILABLE=1)
  if(Iconv_IS_BUILT_IN)
    message(STATUS "Iconv is part of the C library.")
  else(Iconv_IS_BUILT_IN)
    message(STATUS "Iconv is a separate library, headers at ${Iconv_INCLUDE_DIR}, binary at ${Iconv_LIBRARY}")
    target_link_libraries(sutf PUBLIC ${Iconv_LIBRARY})
    target_include_directories(sutf PUBLIC ${Iconv_INCLUDE_DIR})
  endif(Iconv_IS_BUILT_IN)
else(Iconv_FOUND)
  message(STATUS "Iconv was not found!")
endif(Iconv_FOUND)
else(SIMDUTF_ICONV)
  message(STATUS "We are not seeking iconv.")
endif(SIMDUTF_ICONV)

if(NOT (CMAKE_CXX_COMPILER_FRONTEND_VARIANT STREQUAL "MSVC"))
if((CMAKE_CXX_COMPILER_ID STREQUAL "GNU") OR (CMAKE_CXX_COMPILER_ID STREQUAL "Clang"))
  execute_process(COMMAND ${CMAKE_CXX_COMPILER} -print-libgcc-file-name OUTPUT_VARIABLE SIMDUTF_GCC_LIB)
  get_filename_component(SIMDUTF_GCC_DIR "${SIMDUTF_GCC_LIB}" DIRECTORY)
  message(STATUS "looking for static C++ library in " ${SIMDUTF_GCC_DIR})
  find_library(LIBSTDCPP libstdc++.a PATHS "${SIMDUTF_GCC_DIR}")
  if(LIBSTDCPP)
    message(STATUS "libstdc++.a found")
    target_link_options(sutf PRIVATE "-static-libstdc++")
    target_link_options(fastbase64 PRIVATE "-static-libstdc++")
  else()
    message(STATUS "libstdc++.a not found")
  endif()
  target_link_options(sutf PRIVATE "-Wl,--gc-sections")
  target_link_options(fastbase64 PRIVATE "-Wl,--gc-sections")
endif()
endif()

message(STATUS "The tools require C++17. If your system does not support C++17, please set SIMDUTF_TOOLS to OFF.")
set_property(TARGET sutf PROPERTY CXX_STANDARD 17)
set_property(TARGET sutf PROPERTY CXX_STANDARD_REQUIRED ON)
set_property(TARGET fastbase64 PROPERTY CXX_STANDARD 17)
set_property(TARGET fastbase64 PROPERTY CXX_STANDARD_REQUIRED ON)

target_link_libraries(sutf PUBLIC simdutf)
target_link_libraries(fastbase64 PUBLIC simdutf)

if(MSVC AND BUILD_SHARED_LIBS)
  # Copy the simdutf dll into the directory
  add_custom_command(TARGET sutf POST_BUILD        # Adds a post-build event
    COMMAND ${CMAKE_COMMAND} -E copy_if_different  # which executes "cmake -E copy_if_different..."
        "$<TARGET_FILE:simdutf>"      # <--this is in-file
        "$<TARGET_FILE_DIR:sutf>")                 # <--this is out-file path
endif()
install(
   TARGETS
    sutf
   ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
   LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
   RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

install(
   TARGETS
    fastbase64
   ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
   LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
   RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

=== debian/changelog ===
vte2.91 (0.82.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1114024)
  * Refresh patches
  * debian/*.symbols: Add new symbols
  * debian/copyright: Document fmtlib 11 code copy
  * debian/copyright: Document simdutf code copy
  * Extra-Exclude: exclude fast-float, exclude simdutf benchmarks/

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 13 Sep 2025 17:42:36 -0400

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
                gir1.2-pango-1.0-dev,
                gobject-introspection (>= 1.80),
                libfast-float-dev (>= 6),
+#               libfmt-dev (>= 11.0.0),
                libglib2.0-dev (>= 2.72.0),
                libgnutls28-dev,
                libgtk-3-dev,
@@ -24,6 +25,7 @@
                liblz4-dev,
                libpango1.0-dev,
                libpcre2-dev,
+#               libsimdutf-dev,
                libsystemd-dev [linux-any],
                libxml2-utils,
                meson,

## vte2.91 0.82.1

=== build-aux/Makefile ===
# Copyright © 2025 Christian Persch
#
# This library is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library.  If not, see <https://www.gnu.org/licenses/>.

JQ = jq
SED = sed

all: org.gnome.vte.gtk3.json org.gnome.vte.gtk4.json

org.gnome.vte.gtk3.json: org.gnome.vte.gtk.json.in
	$(SED) -e "s/@gtk@/3/g" \
	       -e "s/@gtk3@/true/g" \
	       -e "s/@gtk4@/false/g" \
	       -e "s/@exesuffix@//g" \
	       $< | $(JQ) . > $@

org.gnome.vte.gtk4.json: org.gnome.vte.gtk.json.in
	$(SED) -e "s/@gtk@/4/g" \
	       -e "s/@gtk3@/false/g" \
	       -e "s/@gtk4@/true/g" \
	       -e "s/@exesuffix@/-gtk4/g" \
	       $< | $(JQ) . > $@

=== debian/changelog ===
vte2.91 (0.82.1-1) unstable; urgency=medium

  * New upstream release
  * Build with system simdutf (Closes: #1115170)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 14 Oct 2025 07:25:22 -0400

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                liblz4-dev,
                libpango1.0-dev,
                libpcre2-dev,
-#               libsimdutf-dev,
+               libsimdutf-dev,
                libsystemd-dev [linux-any],
                libxml2-utils,
                meson,

=== debian/rules ===
#!/usr/bin/make -f

binaries := $(shell dh_listpackages)
LIB_PKG := $(shell sed -rn 's/^Package:[[:space:]]*(libvte-[0-9\.-]+)[[:space:]]*$$/\1/p' debian/control)
UDEB_PKG := $(LIB_PKG)-udeb

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
include /usr/share/dpkg/default.mk

%:
	dh $@

CONFFLAGS_deb = \
	-Dgir=true \
	-Dgnutls=true \
	-Dgtk4=true

ifeq ($(filter %-doc,$(binaries)),)
CONFFLAGS_deb += -Ddocs=false
else
CONFFLAGS_deb += -Ddocs=true
endif

CONFFLAGS_udeb = \
	-Ddocs=false \
	-Dgir=false \
	-Dgnutls=false \
	-Dicu=false \
	-Dvapi=false \
	-D_systemd=false

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-deb -- $(CONFFLAGS_deb)
ifneq ($(filter %-udeb,$(binaries)),)
	CFLAGS='$(CFLAGS) -static-libgcc' \
	CXXFLAGS='$(CXXFLAGS) -static-libgcc -static-libstdc++' \
	dh_auto_configure --builddirectory=build-udeb -- $(CONFFLAGS_udeb)
endif

override_dh_auto_build:
	dh_auto_build --builddirectory=build-deb
ifneq ($(filter %-udeb,$(binaries)),)
	dh_auto_build --builddirectory=build-udeb
endif

override_dh_auto_install:
	dh_auto_install --builddirectory=build-deb \
		--destdir=debian/tmp/deb
	rm debian/tmp/deb/usr/bin/vte-2.91
	rm debian/tmp/deb/usr/bin/vte-2.91-gtk4
ifneq ($(filter %-udeb,$(binaries)),)
	dh_auto_install --builddirectory=build-udeb \
		--destdir=debian/tmp/udeb
	rm debian/tmp/udeb/usr/bin/vte-2.91
	rm debian/tmp/udeb/usr/bin/vte-2.91-gtk4
	rm debian/tmp/udeb/usr/libexec/vte-urlencode-cwd
endif
	mv debian/tmp/deb/etc/profile.d/vte.sh \
		debian/tmp/deb/etc/profile.d/vte-2.91.sh

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build-deb
ifneq ($(filter %-udeb,$(binaries)),)
	dh_auto_clean --builddirectory=build-udeb
endif

execute_before_dh_clean:
	rm -f debian/libvte-2.91-common.install.hurd

override_dh_auto_test:
	dh_auto_test --builddirectory=build-deb

override_dh_makeshlibs:
	dh_makeshlibs -p$(LIB_PKG) --add-udeb=$(UDEB_PKG)
	dh_makeshlibs --remaining-packages

override_dh_install:
	grep -E -v 'lib/systemd' debian/libvte-2.91-common.install > debian/libvte-2.91-common.install.hurd
ifneq ($(filter %-udeb,$(binaries)),)
	dh_install -p$(UDEB_PKG) --sourcedir=debian/tmp/udeb
endif
	dh_install --remaining-packages --sourcedir=debian/tmp/deb

# Don't install the test apps currently. These could go in a separate binary package
override_dh_missing:
	dh_missing -X usr/share/applications -X usr/share/xdg-terminals

override_dh_gnome_clean:

## vte2.91 0.82.2

=== debian/changelog ===
vte2.91 (0.82.2-1build2) resolute; urgency=medium

  * Rebuild against latest simdutf

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 13 Dec 2025 13:00:11 -0500

vte2.91 (0.82.2-1build1) resolute; urgency=medium

  * No-change rebuild for icu soname.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Dec 2025 22:51:19 +0100

vte2.91 (0.82.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Nov 2025 10:52:26 -0500

## vte2.91 0.82.3

=== meson_options.txt ===
# Copyright © 2018, 2019 Iñigo Martínez
#
# This library is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library.  If not, see <https://www.gnu.org/licenses/>.

# This option allows you to disable -Bsymbolic-functions if your linker
# doesn't support it.
option(
  '_b_symbolic_functions',
  type: 'boolean',
  value: true,
  description: 'Use -Bsymbolic-functions',
)

option(
  'a11y',
  type: 'boolean',
  value: true,
  description: 'Enable a11y',
)

option(
  'app',
  type: 'boolean',
  value: true,
  description: 'Enable vte apaplication',
)

option(
  'app-hidden',
  type: 'boolean',
  value: false,
  description: 'Mark the vte apaplication as NotShowIn gnome',
)

option(
  'dbg', # for some reason, 'debug' is "reserved"
  type: 'boolean',
  value: false,
  description: 'Enable extra debugging functionality',
)

option(
  'docs',
  type: 'boolean',
  value: false,
  description: 'Enable documentation',
)

option(
  'gir',
  type: 'boolean',
  value: true,
  description: 'Enable GObject Introspection',
)

option(
  'fribidi',
  type: 'boolean',
  value: true,
  description: 'Enable FriBidi support',
)

option(
  'glade',
  type: 'boolean',
  value : true,
  description: 'Install a glade catalogue file'
)

option(
  'gnutls',
  type: 'boolean',
  value: true,
  description: 'Enable GNUTLS support',
)

option(
  'gtk3',
  type: 'boolean',
  value: true,
  description: 'Enable GTK+ 3.0 widget',
)

option(
  'gtk4',
  type: 'boolean',
  value: true,
  description: 'Enable GTK+ 4.0 widget',
)

option(
  'icu',
  type: 'boolean',
  value: true,
  description: 'Enable legacy charset support using ICU',
)

option(
  '_systemd',
  type: 'boolean',
  value: true,
  description: 'Enable systemd support',
)

option(
  'vapi', # would use 'vala' but that name is reserved
  type: 'boolean',
  value: true,
  description: 'Enable Vala bindings',
)

=== debian/changelog ===
vte2.91 (0.82.3-2.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Mon, 05 Jan 2026 14:08:11 +0200

vte2.91 (0.82.3-2) unstable; urgency=medium

  * Only build gtk4 packages on architectures where gtk4 is available

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 04 Jan 2026 17:46:51 -0500

vte2.91 (0.82.3-1) unstable; urgency=medium

  * New upstream release
  * Mark gi-docgen as only needed for docs build
  * Override dh_gnome to avoid build warnings
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 03 Jan 2026 17:53:57 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: vte2.91
 Section: libs
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
@@ -9,11 +8,11 @@
                gettext,
                gir1.2-cairo-1.0-dev,
                gir1.2-gdk-3.0-dev,
-               gir1.2-gdk-4.0-dev,
+               gir1.2-gdk-4.0-dev [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hppa hurd-amd64 hurd-i386 m68k powerpc ppc64 sparc64],
                gir1.2-graphene-1.0-dev,
-               gir1.2-gsk-4.0-dev,
+               gir1.2-gsk-4.0-dev [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hppa hurd-amd64 hurd-i386 m68k powerpc ppc64 sparc64],
                gir1.2-gtk-3.0-dev,
-               gir1.2-gtk-4.0-dev,
+               gir1.2-gtk-4.0-dev [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hppa hurd-amd64 hurd-i386 m68k powerpc ppc64 sparc64],
                gir1.2-pango-1.0-dev,
                gobject-introspection (>= 1.80),
                libfast-float-dev (>= 6),
@@ -21,17 +20,16 @@
                libglib2.0-dev (>= 2.72.0),
                libgnutls28-dev,
                libgtk-3-dev,
-               libgtk-4-dev (>= 4.14),
+               libgtk-4-dev (>= 4.14) [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hppa hurd-amd64 hurd-i386 m68k powerpc ppc64 sparc64],
                liblz4-dev,
                libpango1.0-dev,
                libpcre2-dev,
                libsimdutf-dev,
-               libsystemd-dev [linux-any],
                libxml2-utils,
                meson,
                valac
-Build-Depends-Indep: gi-docgen,
-Standards-Version: 4.7.2
+Build-Depends-Indep: gi-docgen <!nodoc>
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
 Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git
 Homepage: https://wiki.gnome.org/Apps/Terminal/VTE
@@ -39,8 +37,6 @@
 Package: libvte-2.91-0
 Architecture: any
 Depends: libvte-2.91-common (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
 Multi-Arch: same
 Description: Terminal emulator widget for GTK 3 - runtime files
  The VTE library provides a terminal emulator widget VteTerminal for
@@ -67,7 +63,7 @@
  by the Debian installer.
 
 Package: libvte-2.91-gtk4-0
-Architecture: any
+Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hppa hurd-amd64 hurd-i386 m68k powerpc ppc64 sparc64
 Depends: libvte-2.91-common (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -94,7 +90,7 @@
  write programs using the VTE widget for GTK 3.
 
 Package: gir1.2-vte-3.91
-Architecture: any
+Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hppa hurd-amd64 hurd-i386 m68k powerpc ppc64 sparc64
 Section: introspection
 Depends: ${gir:Depends}, ${misc:Depends}
 Multi-Arch: same
@@ -134,7 +130,7 @@
  VTE widget with GTK 3.
 
 Package: libvte-2.91-gtk4-dev
-Architecture: any
+Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hppa hurd-amd64 hurd-i386 m68k powerpc ppc64 sparc64
 Section: libdevel
 Depends: gir1.2-vte-3.91 (= ${binary:Version}),
          libglib2.0-dev (>= 2.72.0),

=== debian/rules ===
--- 
+++ 
@@ -9,34 +9,33 @@
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 include /usr/share/dpkg/default.mk
 
+ifneq ($(filter libvte-2.91-gtk4-dev libvte-2.91-gtk4-doc,$(shell dh_listpackages)),)
+GTK4=-Dgtk4=true
+else
+GTK4=-Dgtk4=false
+endif
+
 %:
 	dh $@
 
-CONFFLAGS_deb = \
-	-Dgir=true \
-	-Dgnutls=true \
-	-Dgtk4=true
-
-ifeq ($(filter %-doc,$(binaries)),)
-CONFFLAGS_deb += -Ddocs=false
-else
-CONFFLAGS_deb += -Ddocs=true
-endif
-
-CONFFLAGS_udeb = \
-	-Ddocs=false \
-	-Dgir=false \
-	-Dgnutls=false \
-	-Dicu=false \
-	-Dvapi=false \
-	-D_systemd=false
-
 override_dh_auto_configure:
-	dh_auto_configure --builddirectory=build-deb -- $(CONFFLAGS_deb)
+	dh_auto_configure --builddirectory=build-deb -- \
+		-Ddocs=$(if $(filter %-doc,$(shell dh_listpackages)),true,false) \
+		-Dgir=true \
+		-Dgnutls=true \
+		-D_systemd=false \
+		$(GTK4)
 ifneq ($(filter %-udeb,$(binaries)),)
 	CFLAGS='$(CFLAGS) -static-libgcc' \
 	CXXFLAGS='$(CXXFLAGS) -static-libgcc -static-libstdc++' \
-	dh_auto_configure --builddirectory=build-udeb -- $(CONFFLAGS_udeb)
+	dh_auto_configure --builddirectory=build-udeb -- \
+		-Ddocs=false \
+		-Dgir=false \
+		-Dgnutls=false \
+		-Dgtk4=false \
+		-Dicu=false \
+		-Dvapi=false \
+		-D_systemd=false
 endif
 
 override_dh_auto_build:
@@ -49,12 +48,11 @@
 	dh_auto_install --builddirectory=build-deb \
 		--destdir=debian/tmp/deb
 	rm debian/tmp/deb/usr/bin/vte-2.91
-	rm debian/tmp/deb/usr/bin/vte-2.91-gtk4
+	rm -f debian/tmp/deb/usr/bin/vte-2.91-gtk4
 ifneq ($(filter %-udeb,$(binaries)),)
 	dh_auto_install --builddirectory=build-udeb \
 		--destdir=debian/tmp/udeb
 	rm debian/tmp/udeb/usr/bin/vte-2.91
-	rm debian/tmp/udeb/usr/bin/vte-2.91-gtk4
 	rm debian/tmp/udeb/usr/libexec/vte-urlencode-cwd
 endif
 	mv debian/tmp/deb/etc/profile.d/vte.sh \
@@ -87,4 +85,5 @@
 override_dh_missing:
 	dh_missing -X usr/share/applications -X usr/share/xdg-terminals
 
-override_dh_gnome_clean:
+# We only use dh_gnome to automatically run dh_translations in Ubuntu
+override_dh_gnome:

## vte2.91 0.83.90

=== meson_options.txt ===
--- 
+++ 
@@ -114,6 +114,13 @@
 )
 
 option(
+  'terminfo',
+  type: 'boolean',
+  value: false,
+  description: 'Enable vte terminfo (experimental)',
+)
+
+option(
   'vapi', # would use 'vala' but that name is reserved
   type: 'boolean',
   value: true,

=== debian/changelog ===
vte2.91 (0.83.90-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/p: Rebase backgroud-color patch

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 18 Feb 2026 18:07:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: vte2.91
-Section: libs
+Standards-Version: 4.7.3
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
+Section: libs
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -17,7 +18,7 @@
                gobject-introspection (>= 1.80),
                libfast-float-dev (>= 6),
 #               libfmt-dev (>= 11.0.0),
-               libglib2.0-dev (>= 2.72.0),
+               libglib2.0-dev,
                libgnutls28-dev,
                libgtk-3-dev,
                libgtk-4-dev (>= 4.14) [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hppa hurd-amd64 hurd-i386 m68k powerpc ppc64 sparc64],
@@ -25,49 +26,51 @@
                libpango1.0-dev,
                libpcre2-dev,
                libsimdutf-dev,
+               libsystemd-dev [linux-any],
                libxml2-utils,
                meson,
                valac
 Build-Depends-Indep: gi-docgen <!nodoc>
-Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/gnome-team/vte2.91
 Vcs-Git: https://salsa.debian.org/gnome-team/vte2.91.git
 Homepage: https://wiki.gnome.org/Apps/Terminal/VTE
 
 Package: libvte-2.91-0
 Architecture: any
-Depends: libvte-2.91-common (= ${binary:Version}),
-Multi-Arch: same
-Description: Terminal emulator widget for GTK 3 - runtime files
- The VTE library provides a terminal emulator widget VteTerminal for
- applications using the GTK toolkit. It also provides the VtePTY object
- containing functions for starting a new process on a new
- pseudo-terminal and for manipulating pseudo-terminals.
- .
- This package contains the runtime library, needed by programs using the
- VTE widget with GTK 3.
-
-Package: libvte-2.91-0-udeb
-Package-Type: udeb
-Build-Profiles: <!noudeb>
-Section: debian-installer
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Terminal emulator widget for GTK 3 - minimal runtime
- The VTE library provides a terminal emulator widget VteTerminal for
- applications using the GTK toolkit. It also provides the VtePTY object
- containing functions for starting a new process on a new
- pseudo-terminal and for manipulating pseudo-terminals.
- .
- This package contains the minimal runtime library for GTK 3 needed
- by the Debian installer.
-
-Package: libvte-2.91-gtk4-0
-Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hppa hurd-amd64 hurd-i386 m68k powerpc ppc64 sparc64
+Multi-Arch: same
 Depends: libvte-2.91-common (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Multi-Arch: same
+Description: Terminal emulator widget for GTK 3 - runtime files
+ The VTE library provides a terminal emulator widget VteTerminal for
+ applications using the GTK toolkit. It also provides the VtePTY object
+ containing functions for starting a new process on a new
+ pseudo-terminal and for manipulating pseudo-terminals.
+ .
+ This package contains the runtime library, needed by programs using the
+ VTE widget with GTK 3.
+
+Package: libvte-2.91-0-udeb
+Architecture: any
+Build-Profiles: <!noudeb>
+Section: debian-installer
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Package-Type: udeb
+Description: Terminal emulator widget for GTK 3 - minimal runtime
+ The VTE library provides a terminal emulator widget VteTerminal for
+ applications using the GTK toolkit. It also provides the VtePTY object
+ containing functions for starting a new process on a new
+ pseudo-terminal and for manipulating pseudo-terminals.
+ .
+ This package contains the minimal runtime library for GTK 3 needed
+ by the Debian installer.
+
+Package: libvte-2.91-gtk4-0
+Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hppa hurd-amd64 hurd-i386 m68k powerpc ppc64 sparc64
+Multi-Arch: same
+Depends: libvte-2.91-common (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Terminal emulator widget for GTK 4 - runtime files
  The VTE library provides a terminal emulator widget VteTerminal for
  applications using the GTK toolkit. It also provides the VtePTY object
@@ -79,9 +82,9 @@
 
 Package: gir1.2-vte-2.91
 Architecture: any
+Multi-Arch: same
 Section: introspection
 Depends: ${gir:Depends}, ${misc:Depends}
-Multi-Arch: same
 Description: GObject introspection data for the VTE library (GTK 3 version)
  This package contains introspection data for VTE, a terminal emulator
  widget for GTK.
@@ -91,9 +94,9 @@
 
 Package: gir1.2-vte-3.91
 Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hppa hurd-amd64 hurd-i386 m68k powerpc ppc64 sparc64
+Multi-Arch: same
 Section: introspection
 Depends: ${gir:Depends}, ${misc:Depends}
-Multi-Arch: same
 Description: GObject introspection data for the VTE library (GTK 4 version)
  This package contains introspection data for VTE, a terminal emulator
  widget for GTK.
@@ -103,9 +106,10 @@
 
 Package: libvte-2.91-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: gir1.2-vte-2.91 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.72.0),
+         libglib2.0-dev,
          libgnutls28-dev,
          libgtk-3-dev,
          libpango1.0-dev,
@@ -115,10 +119,9 @@
          zlib1g-dev,
          ${gir:Depends},
          ${misc:Depends}
-Provides: ${gir:Provides}
 Recommends: libvte-2.91-doc
 Conflicts: libvte-2.90-dev
-Multi-Arch: same
+Provides: ${gir:Provides}
 Description: Terminal emulator widget for GTK 3 - development files
  The VTE library provides a terminal emulator widget VteTerminal for
  applications using the GTK toolkit. It also provides the VtePTY object
@@ -131,9 +134,10 @@
 
 Package: libvte-2.91-gtk4-dev
 Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hppa hurd-amd64 hurd-i386 m68k powerpc ppc64 sparc64
+Multi-Arch: same
 Section: libdevel
 Depends: gir1.2-vte-3.91 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.72.0),
+         libglib2.0-dev,
          libgnutls28-dev,
          libgtk-4-dev (>= 4.14),
          libpango1.0-dev,
@@ -143,9 +147,8 @@
          zlib1g-dev,
          ${gir:Depends},
          ${misc:Depends}
+Recommends: libvte-2.91-doc
 Provides: ${gir:Provides}
-Recommends: libvte-2.91-doc
-Multi-Arch: same
 Description: Terminal emulator widget for GTK 4 - development files
  The VTE library provides a terminal emulator widget VteTerminal for
  applications using the GTK toolkit. It also provides the VtePTY object
@@ -158,8 +161,8 @@
 
 Package: libvte-2.91-common
 Architecture: any
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Multi-Arch: foreign
 Description: Terminal emulator widget for GTK 3 - common files
  The VTE library provides a terminal emulator widget VteTerminal for
  applications using the GTK toolkit. It also provides the VtePTY object
@@ -171,10 +174,10 @@
 
 Package: libvte-2.91-doc
 Architecture: all
+Build-Profiles: <!nodoc>
 Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
-Build-Profiles: <!nodoc>
 Description: Terminal emulator widget for GTK 3 - documentation
  The VTE library provides a terminal emulator widget VteTerminal for
  applications using the GTK toolkit. It also provides the VtePTY object
@@ -185,10 +188,10 @@
 
 Package: libvte-2.91-gtk4-doc
 Architecture: all
+Build-Profiles: <!nodoc>
 Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
-Build-Profiles: <!nodoc>
 Description: Terminal emulator widget for GTK 4 - documentation
  The VTE library provides a terminal emulator widget VteTerminal for
  applications using the GTK toolkit. It also provides the VtePTY object

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,6 @@
 		-Ddocs=$(if $(filter %-doc,$(shell dh_listpackages)),true,false) \
 		-Dgir=true \
 		-Dgnutls=true \
-		-D_systemd=false \
 		$(GTK4)
 ifneq ($(filter %-udeb,$(binaries)),)
 	CFLAGS='$(CFLAGS) -static-libgcc' \

=== debian/tests/control ===
Test-Command: debian/tests/build vte-2.91
Depends: build-essential, libvte-2.91-dev
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/build vte-2.91-gtk4
Depends: build-essential, libvte-2.91-gtk4-dev
Restrictions: allow-stderr, superficial
